=== debian/control ===
Source: firmware-nonfree
Section: non-free/kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 4.0.1
Build-Depends: debhelper (>= 9)
Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
XS-Autobuild: yes

Package: firmware-linux
Architecture: all
Section: non-free/metapackages
Depends: firmware-linux-free, firmware-linux-nonfree (= ${binary:Version}), ${misc:Depends}
Recommends: intel-microcode, amd64-microcode
Description: Binary firmware for various drivers in the Linux kernel (meta-package)
 This package depends on both free and non-free firmware which may be used
 with drivers in the Linux kernel.

Package: firmware-linux-nonfree
Architecture: all
Section: non-free/metapackages
Depends: firmware-misc-nonfree (= ${binary:Version}), firmware-amd-graphics (= ${binary:Version}), ${misc:Depends}
Recommends: intel-microcode, amd64-microcode
Description: Binary firmware for various drivers in the Linux kernel (meta-package)
 This package depends on non-free firmware which may be used with drivers
 in the Linux kernel.

Package: firmware-amd-graphics
Architecture: all
Provides: 
Depends: ${misc:Depends}
Recommends: 
Suggests: initramfs-tools
Replaces: firmware-linux-nonfree (<< 20151018-1~)
Breaks: firmware-linux-nonfree (<< 20151018-1~)
Conflicts: 
Description: Binary firmware for AMD/ATI graphics chips
 This package contains the binary firmware for AMD/ATI graphics chips
 supported by the radeon, amdgpu and r128 drivers.
 .
 Contents:
  * "Carrizo" CE firmware (amdgpu/carrizo_ce.bin)
  * "Carrizo" ME firmware (amdgpu/carrizo_me.bin)
  * "Carrizo" MEC firmware (amdgpu/carrizo_mec.bin)
  * "Carrizo" MEC2 firmware (amdgpu/carrizo_mec2.bin)
  * "Carrizo" PFP firmware (amdgpu/carrizo_pfp.bin)
  * "Carrizo" RLC firmware (amdgpu/carrizo_rlc.bin)
  * "Carrizo" SDMA firmware (amdgpu/carrizo_sdma.bin)
  * "Carrizo" SDMA1 firmware (amdgpu/carrizo_sdma1.bin)
  * "Carrizo" UVD firmware, version 1.87 (amdgpu/carrizo_uvd.bin)
  * "Carrizo" VCE firmware (amdgpu/carrizo_vce.bin)
  * "Fiji" CE firmware (amdgpu/fiji_ce.bin)
  * "Fiji" MC firmware (amdgpu/fiji_mc.bin)
  * "Fiji" ME firmware (amdgpu/fiji_me.bin)
  * "Fiji" MEC firmware (amdgpu/fiji_mec.bin)
  * "Fiji" MEC2 firmware (amdgpu/fiji_mec2.bin)
  * "Fiji" PFP firmware (amdgpu/fiji_pfp.bin)
  * "Fiji" RLC firmware (amdgpu/fiji_rlc.bin)
  * "Fiji" SDMA firmware (amdgpu/fiji_sdma.bin)
  * "Fiji" SDMA1 firmware (amdgpu/fiji_sdma1.bin)
  * "Fiji" SMC firmware (amdgpu/fiji_smc.bin)
  * "Fiji" UVD firmware, version 1.87.12 (amdgpu/fiji_uvd.bin)
  * "Fiji" VCE firmware, version 53.20 (amdgpu/fiji_vce.bin)
  * "Polaris 10" old CE firmware (amdgpu/polaris10_ce.bin)
  * "Polaris 10" new CE firmware (amdgpu/polaris10_ce_2.bin)
  * "Polaris 10" MC firmware (amdgpu/polaris10_mc.bin)
  * "Polaris 10" old ME firmware (amdgpu/polaris10_me.bin)
  * "Polaris 10" new ME firmware (amdgpu/polaris10_me_2.bin)
  * "Polaris 10" old MEC firmware (amdgpu/polaris10_mec.bin)
  * "Polaris 10" new MEC firmware (amdgpu/polaris10_mec_2.bin)
  * "Polaris 10" old MEC2 firmware (amdgpu/polaris10_mec2.bin)
  * "Polaris 10" new MEC2 firmware (amdgpu/polaris10_mec2_2.bin)
  * "Polaris 10" old PFP firmware (amdgpu/polaris10_pfp.bin)
  * "Polaris 10" new PFP firmware (amdgpu/polaris10_pfp_2.bin)
  * "Polaris 10" RLC firmware (amdgpu/polaris10_rlc.bin)
  * "Polaris 10" SDMA firmware (amdgpu/polaris10_sdma.bin)
  * "Polaris 10" SDMA1 firmware (amdgpu/polaris10_sdma1.bin)
  * "Polaris 10" SMC firmware (amdgpu/polaris10_smc.bin)
  * "Polaris 10" K SMC firmware (amdgpu/polaris10_k_smc.bin)
  * "Polaris 10" SMC-SK firmware (amdgpu/polaris10_smc_sk.bin)
  * "Polaris 10" UVD firmware, version 1.130 (amdgpu/polaris10_uvd.bin)
  * "Polaris 10" VCE firmware, version 53.26 (amdgpu/polaris10_vce.bin)
  * "Polaris 11" old CE firmware (amdgpu/polaris11_ce.bin)
  * "Polaris 11" new CE firmware (amdgpu/polaris11_ce_2.bin)
  * "Polaris 11" MC firmware (amdgpu/polaris11_mc.bin)
  * "Polaris 11" old ME firmware (amdgpu/polaris11_me.bin)
  * "Polaris 11" new ME firmware (amdgpu/polaris11_me_2.bin)
  * "Polaris 11" old MEC firmware (amdgpu/polaris11_mec.bin)
  * "Polaris 11" new MEC firmware (amdgpu/polaris11_mec_2.bin)
  * "Polaris 11" old MEC2 firmware (amdgpu/polaris11_mec2.bin)
  * "Polaris 11" new MEC2 firmware (amdgpu/polaris11_mec2_2.bin)
  * "Polaris 11" old PFP firmware (amdgpu/polaris11_pfp.bin)
  * "Polaris 11" new PFP firmware (amdgpu/polaris11_pfp_2.bin)
  * "Polaris 11" RLC firmware (amdgpu/polaris11_rlc.bin)
  * "Polaris 11" SDMA firmware (amdgpu/polaris11_sdma.bin)
  * "Polaris 11" SDMA1 firmware (amdgpu/polaris11_sdma1.bin)
  * "Polaris 11" SMC firmware (amdgpu/polaris11_smc.bin)
  * "Polaris 11" K SMC firmware (amdgpu/polaris11_k_smc.bin)
  * "Polaris 11" SMC-SK firmware (amdgpu/polaris11_smc_sk.bin)
  * "Polaris 11" UVD firmware, version 1.130 (amdgpu/polaris11_uvd.bin)
  * "Polaris 11" VCE firmware, version 53.26 (amdgpu/polaris11_vce.bin)
  * "Polaris 12" old CE firmware (amdgpu/polaris12_ce.bin)
  * "Polaris 12" new CE firmware (amdgpu/polaris12_ce_2.bin)
  * "Polaris 12" MC firmware (amdgpu/polaris12_mc.bin)
  * "Polaris 12" old ME firmware (amdgpu/polaris12_me.bin)
  * "Polaris 12" new ME firmware (amdgpu/polaris12_me_2.bin)
  * "Polaris 12" old MEC firmware (amdgpu/polaris12_mec.bin)
  * "Polaris 12" new MEC firmware (amdgpu/polaris12_mec_2.bin)
  * "Polaris 12" old MEC2 firmware (amdgpu/polaris12_mec2.bin)
  * "Polaris 12" new MEC2 firmware (amdgpu/polaris12_mec2_2.bin)
  * "Polaris 12" old PFP firmware (amdgpu/polaris12_pfp.bin)
  * "Polaris 12" new PFP firmware (amdgpu/polaris12_pfp_2.bin)
  * "Polaris 12" RLC firmware (amdgpu/polaris12_rlc.bin)
  * "Polaris 12" SDMA firmware (amdgpu/polaris12_sdma.bin)
  * "Polaris 12" SDMA1 firmware (amdgpu/polaris12_sdma1.bin)
  * "Polaris 12" SMC firmware (amdgpu/polaris12_smc.bin)
  * "Polaris 12" UVD firmware, version 1.130 (amdgpu/polaris12_uvd.bin)
  * "Polaris 12" VCE firmware, version 53.26 (amdgpu/polaris12_vce.bin)
  * "Raven" ASD firmware (amdgpu/raven_asd.bin)
  * "Raven" CE firmware (amdgpu/raven_ce.bin)
  * "Raven" GPU info (amdgpu/raven_gpu_info.bin)
  * "Raven" ME firmware (amdgpu/raven_me.bin)
  * "Raven" MEC firmware (amdgpu/raven_mec.bin)
  * "Raven" MEC2 firmware (amdgpu/raven_mec2.bin)
  * "Raven" PFP firmware (amdgpu/raven_pfp.bin)
  * "Raven" RLC firmware (amdgpu/raven_rlc.bin)
  * "Raven" SDMA firmware (amdgpu/raven_sdma.bin)
  * "Raven" VCN firmware (amdgpu/raven_vcn.bin)
  * "Stoney" CE firmware (amdgpu/stoney_ce.bin)
  * "Stoney" ME firmware (amdgpu/stoney_me.bin)
  * "Stoney" MEC firmware (amdgpu/stoney_mec.bin)
  * "Stoney" PFP firmware (amdgpu/stoney_pfp.bin)
  * "Stoney" RLC firmware (amdgpu/stoney_rlc.bin)
  * "Stoney" SDMA firmware (amdgpu/stoney_sdma.bin)
  * "Stoney" VCE firmware (amdgpu/stoney_vce.bin)
  * "Stoney" UVD firmware, version 1.38.15 (amdgpu/stoney_uvd.bin)
  * "Tonga" CE firmware (amdgpu/tonga_ce.bin)
  * "Tonga" MC firmware (amdgpu/tonga_mc.bin)
  * "Tonga" ME firmware (amdgpu/tonga_me.bin)
  * "Tonga" MEC firmware (amdgpu/tonga_mec.bin)
  * "Tonga" MEC2 firmware (amdgpu/tonga_mec2.bin)
  * "Tonga" PFP firmware (amdgpu/tonga_pfp.bin)
  * "Tonga" RLC firmware (amdgpu/tonga_rlc.bin)
  * "Tonga" SDMA firmware (amdgpu/tonga_sdma.bin)
  * "Tonga" SDMA1 firmware (amdgpu/tonga_sdma1.bin)
  * "Tonga" SMC firmware (amdgpu/tonga_smc.bin)
  * "Tonga" K SMC firmware (amdgpu/tonga_k_smc.bin)
  * "Tonga" UVD firmware, version 1.65.10 (amdgpu/tonga_uvd.bin)
  * "Tonga" VCE firmware, version 52.8.3 (amdgpu/tonga_vce.bin)
  * "Topaz" CE firmware (amdgpu/topaz_ce.bin)
  * "Topaz" MC firmware (amdgpu/topaz_mc.bin)
  * "Topaz" ME firmware (amdgpu/topaz_me.bin)
  * "Topaz" MEC firmware (amdgpu/topaz_mec.bin)
  * "Topaz" MEC2 firmware (amdgpu/topaz_mec2.bin)
  * "Topaz" PFP firmware (amdgpu/topaz_pfp.bin)
  * "Topaz" RLC firmware (amdgpu/topaz_rlc.bin)
  * "Topaz" SDMA firmware (amdgpu/topaz_sdma.bin)
  * "Topaz" SDMA1 firmware (amdgpu/topaz_sdma1.bin)
  * "Topaz" SMC firmware (amdgpu/topaz_smc.bin)
  * "Topaz" K SMC firmware (amdgpu/topaz_k_smc.bin)
  * "Vega 10" ACG-SMC firmware (amdgpu/vega10_acg_smc.bin)
  * "Vega 10" ASD firmware (amdgpu/vega10_asd.bin)
  * "Vega 10" CE firmware (amdgpu/vega10_ce.bin)
  * "Vega 10" GPU info (amdgpu/vega10_gpu_info.bin)
  * "Vega 10" ME firmware (amdgpu/vega10_me.bin)
  * "Vega 10" MEC firmware (amdgpu/vega10_mec.bin)
  * "Vega 10" MEC2 firmware (amdgpu/vega10_mec2.bin)
  * "Vega 10" PFP firmware (amdgpu/vega10_pfp.bin)
  * "Vega 10" RLC firmware (amdgpu/vega10_rlc.bin)
  * "Vega 10" SDMA firmware (amdgpu/vega10_sdma.bin)
  * "Vega 10" SDMA1 firmware (amdgpu/vega10_sdma1.bin)
  * "Vega 10" SMC firmware (amdgpu/vega10_smc.bin)
  * "Vega 10" SOS firmware (amdgpu/vega10_sos.bin)
  * "Vega 10" UVD firmware, version 1.87 (amdgpu/vega10_uvd.bin)
  * "Vega 10" VCE firmware, version 53.45 (amdgpu/vega10_vce.bin)
  * Rage 128 CCE microcode (r128/r128_cce.bin)
  * Radeon HD IGP 7500/7600 series ME microcode (radeon/ARUBA_me.bin)
  * Radeon HD IGP 7500/7600 series PFP microcode (radeon/ARUBA_pfp.bin)
  * Radeon HD IGP 7500/7600 series RLC microcode (radeon/ARUBA_rlc.bin)
  * "Banks" K-2 SMC microcode (radeon/banks_k_2_smc.bin)
  * Radeon HD 6800 series MC microcode (radeon/BARTS_mc.bin)
  * Radeon HD 6800 series ME microcode (radeon/BARTS_me.bin)
  * Radeon HD 6800 series PFP microcode (radeon/BARTS_pfp.bin)
  * Radeon HD 6800 series SMC microcode (radeon/BARTS_smc.bin)
  * Radeon HD 7790/8770/8950 CE microcode (radeon/bonaire_ce.bin)
  * Radeon HD 7790/8770/8950 CE microcode (radeon/BONAIRE_ce.bin)
  * Radeon HD 7790/8770/8950 MC microcode (radeon/bonaire_mc.bin)
  * Radeon HD 7790/8770/8950 MC microcode, version 1
    (radeon/BONAIRE_mc.bin)
  * Radeon HD 7790/8770/8950 MC microcode, version 2
    (radeon/BONAIRE_mc2.bin)
  * Radeon HD 7790/8770/8950 ME microcode (radeon/bonaire_me.bin)
  * Radeon HD 7790/8770/8950 ME microcode (radeon/BONAIRE_me.bin)
  * Radeon HD 7790/8770/8950 MEC microcode (radeon/bonaire_mec.bin)
  * Radeon HD 7790/8770/8950 MEC microcode (radeon/BONAIRE_mec.bin)
  * Radeon HD 7790/8770/8950 PFP microcode (radeon/bonaire_pfp.bin)
  * Radeon HD 7790/8770/8950 PFP microcode (radeon/BONAIRE_pfp.bin)
  * Radeon HD 7790/8770/8950 RLC microcode (radeon/bonaire_rlc.bin)
  * Radeon HD 7790/8770/8950 RLC microcode (radeon/BONAIRE_rlc.bin)
  * Radeon HD 7790/8770/8950 SDMA microcode (radeon/bonaire_sdma.bin)
  * Radeon HD 7790/8770/8950 SDMA microcode (radeon/BONAIRE_sdma.bin)
  * Radeon HD 7790/8770/8950 SDMA1 microcode (radeon/bonaire_sdma1.bin)
  * Radeon HD 7790/8770/8950 series SMC microcode
    (radeon/bonaire_smc.bin)
  * Radeon HD 7790/8770/8950 series SMC microcode
    (radeon/BONAIRE_smc.bin)
  * Radeon HD 7790/8770/8950 K SMC microcode (radeon/bonaire_k_smc.bin)
  * Radeon HD 7790/8770/8950, 8100/8200/8300/8400 series, and
    "Mullins"/"Beema" IGP UVD microcode (radeon/BONAIRE_uvd.bin)
  * Radeon HD 7790/8770/8950 UVD microcode (radeon/bonaire_uvd.bin)
  * Radeon HD VCE microcode (radeon/BONAIRE_vce.bin)
  * Radeon HD 7790/8770/8950 VCE microcode (radeon/bonaire_vce.bin)
  * Radeon HD 6300/6500/6800 series RLC microcode (radeon/BTC_rlc.bin)
  * Radeon HD 6300 series MC microcode (radeon/CAICOS_mc.bin)
  * Radeon HD 6300 series ME microcode (radeon/CAICOS_me.bin)
  * Radeon HD 6300 series PFP microcode (radeon/CAICOS_pfp.bin)
  * Radeon HD 6300 series SMC microcode (radeon/CAICOS_smc.bin)
  * Radeon HD 6900 series MC microcode (radeon/CAYMAN_mc.bin)
  * Radeon HD 6900 series ME microcode (radeon/CAYMAN_me.bin)
  * Radeon HD 6900 series PFP microcode (radeon/CAYMAN_pfp.bin)
