## firmware-nonfree 20180825+dfsg

=== debian/changelog ===
firmware-nonfree (20180825+dfsg-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 02 Sep 2018 13:52:12 -0700

firmware-nonfree (20180825+dfsg-1) unstable; urgency=medium

  * Exclude Cavium LiquidIO 23xx vswitch firmware, which contains a Linux
    kernel image (Closes: #907585)

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 29 Aug 2018 21:14:09 +0100

firmware-nonfree (20180825-1) unstable; urgency=medium

  * New upstream version:
    - Upstream version is commit fea76a04f25fd0a217c0d566ff5ff8f23ad3e648
      dated 2018-08-25
    - cavium: LiquidIO 23xx vswitch firmware version 1.7.2
    - iwlwifi:
      + 7265 (D0) Bluetooth firmware patch version 20.60.0.2
      + 7265 (D1) Bluetooth firmware patch version 20.70.0.4
      + 8260 Bluetooth firmware version 20.70.0.4
      + 8265 Bluetooth firmware version 20.70.0.4
      + 9160/9260 (var 16 rev 1) Bluetooth firmware version 20.70.0.4
      + 9460/9650 (var 16 rev 1) Bluetooth firmware version 20.70.0.4
    - amd-graphics:
      + "Vega 10" VCE firmware version 55.3
      + "Bonaire", "Hawaii", "Kabini", "Mullins", "Kaveri", "Hainan",
        "Oland", "Tahiti", "Pitcairn", "Verde" firmware updates to
        sync with 18.20 release
      + "Fiji", "Polaris10", "Polaris11", "Polaris12", "Raven", "Tonga",
        "Vega10" firmware updates to sync with 18.30 release
      + Update copyright date
    - brcm80211:
      + BCM43430 firmware update (CVE-2017-13077, CVE-2017-13078,
        CVE-2017-13079, CVE-2017-13080, CVE-2017-13081)
      + BCM43340 firmware update (CVE-2017-13077, CVE-2017-13078,
        CVE-2017-13079, CVE-2017-13080, CVE-2017-13081)
      + BCM43362 firmware update (CVE-2017-13077, CVE-2017-13078,
        CVE-2017-13079, CVE-2017-13080, CVE-2017-13081)
      + BCM4354 firmware update (CVE-2017-13077, CVE-2017-13078,
        CVE-2017-13079, CVE-2017-13080, CVE-2017-13081)
      + BCM4356 pcie firmware update (CVE-2017-13077, CVE-2017-13078,
        CVE-2017-13079, CVE-2017-13080, CVE-2017-13081)
    - misc-nonfree: Chelsio T4, T5, and T6 firmware version 1.20.8.0
    - libertas: Marvell Avastar 88W8801-USB firmware version 14.68.36.p131
    - ti-connectivity: TI WL18xx firmware, ABI 4, version 8.9.0.0.79
    - netronome: Agilio CX flower firmware version AOTC-2.9.A.31

  [ Romain Perier ]
  * Add a new script for generating debian changelog
  * qlogic: Add QLogic QL45000 series firmware version 8.37.2.0

  [ Ben Hutchings ]
  * Add back firmware-{adi,ralink} as transitional packages (Closes: #907320)
  * Update to linux-support 4.17.0-3
  * iwlwifi: Use "release" rather than "build" or "patch" version strings for
    all Bluetooth firmware files
  * intel-sound: Add Intel "Kabylake" SST DSP firmware version 9.21.00.3420_163
  * atheros: Add Wil62x0 default board parameters and firmware for use
    with the wil6210 driver

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 26 Aug 2018 15:43:40 +0100
