=== debian/control ===
--- 
+++ 
@@ -27,6 +27,22 @@
 Description: Binary firmware for various drivers in the Linux kernel (meta-package)
  This package depends on non-free firmware which may be used with drivers
  in the Linux kernel.
+
+Package: firmware-adi
+Architecture: all
+Section: non-free/oldlibs
+Depends: firmware-misc-nonfree, ${misc:Depends}
+Description: Binary firmware for Analog Devices Inc. DSL modem chips (dummmy package)
+ This is a dummy transitional package.  It can be safely removed.
+Multi-Arch: foreign
+
+Package: firmware-ralink
+Architecture: all
+Section: non-free/oldlibs
+Depends: firmware-misc-nonfree, ${misc:Depends}
+Description: Binary firmware for Ralink wireless cards (dummmy package)
+ This is a dummy transitional package.  It can be safely removed.
+Multi-Arch: foreign
 
 Package: firmware-amd-graphics
 Architecture: all
@@ -63,7 +79,7 @@
   * "Fiji" SDMA1 firmware (amdgpu/fiji_sdma1.bin)
   * "Fiji" SMC firmware (amdgpu/fiji_smc.bin)
   * "Fiji" UVD firmware, version 1.87.12 (amdgpu/fiji_uvd.bin)
-  * "Fiji" VCE firmware, version 53.20 (amdgpu/fiji_vce.bin)
+  * "Fiji" VCE firmware (amdgpu/fiji_vce.bin)
   * "Polaris 10" old CE firmware (amdgpu/polaris10_ce.bin)
   * "Polaris 10" new CE firmware (amdgpu/polaris10_ce_2.bin)
   * "Polaris 10" MC firmware (amdgpu/polaris10_mc.bin)
@@ -175,7 +191,7 @@
   * "Vega 10" SMC firmware (amdgpu/vega10_smc.bin)
   * "Vega 10" SOS firmware (amdgpu/vega10_sos.bin)
   * "Vega 10" UVD firmware, version 1.87 (amdgpu/vega10_uvd.bin)
-  * "Vega 10" VCE firmware, version 53.45 (amdgpu/vega10_vce.bin)
+  * "Vega 10" VCE firmware (amdgpu/vega10_vce.bin)
   * Rage 128 CCE microcode (r128/r128_cce.bin)
   * Radeon HD IGP 7500/7600 series ME microcode (radeon/ARUBA_me.bin)
   * Radeon HD IGP 7500/7600 series PFP microcode (radeon/ARUBA_pfp.bin)
@@ -213,11 +229,3 @@
   * Radeon HD 7790/8770/8950 UVD microcode (radeon/bonaire_uvd.bin)
   * Radeon HD VCE microcode (radeon/BONAIRE_vce.bin)
   * Radeon HD 7790/8770/8950 VCE microcode (radeon/bonaire_vce.bin)
-  * Radeon HD 6300/6500/6800 series RLC microcode (radeon/BTC_rlc.bin)
-  * Radeon HD 6300 series MC microcode (radeon/CAICOS_mc.bin)
-  * Radeon HD 6300 series ME microcode (radeon/CAICOS_me.bin)
-  * Radeon HD 6300 series PFP microcode (radeon/CAICOS_pfp.bin)
-  * Radeon HD 6300 series SMC microcode (radeon/CAICOS_smc.bin)
-  * Radeon HD 6900 series MC microcode (radeon/CAYMAN_mc.bin)
-  * Radeon HD 6900 series ME microcode (radeon/CAYMAN_me.bin)
-  * Radeon HD 6900 series PFP microcode (radeon/CAYMAN_pfp.bin)
