## firmware-nonfree 20190114

=== debian/changelog ===
firmware-nonfree (1:20190114-1+rpt11) buster; urgency=medium

  * Update CYW43455 firmware
    - brcm/brcmfmac43455-sdio.bin 7.45.229
    - See: https://github.com/raspberrypi/linux/issues/3849

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 25 Jan 2021 10:17:21 +0000

firmware-nonfree (1:20190114-1+rpt10) buster; urgency=medium

  [ Phil Elwell ]
  * New clm_blob for BCM43456
    - An updated clm_blob to open up the 80MHz channels.
  * Use BCM43456 clm_blob on CYW43455
    - The previous CYW43455 clm_blob provides limited access to the higher
      5GHz channels (100+) - the BCM43456 (surprisingly) seems to work and
      doesn't have this problem.

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 26 Nov 2020 18:51:42 +0000

firmware-nonfree (1:20190114-1+rpt9) buster; urgency=medium

  [ Phil Elwell ]
  * Add BCM43436 firmware
    - brcm/brcmfmac43436-sdio.bin 9.88.4.65
    - brcm/brcmfmac43436-sdio.clm_blob
    - brcm/brcmfmac43436-sdio.txt

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 16 Oct 2020 15:56:11 +0100

firmware-nonfree (1:20190114-1+rpt8) buster; urgency=medium

  * Update brcmfmac43455-sdio.bin to 7.45.206

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 29 Jul 2020 16:37:59 +0100

firmware-nonfree (1:20190114-1+rpt7) buster; urgency=medium

  [ Phil Elwell ]
  * Add BCM43456 firmware
    - brcm/brcmfmac43456-sdio.bin 7.84.17.1
    - brcm/brcmfmac43456-sdio.clm_blob
    - brcm/brcmfmac43456-sdio.txt

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 01 Jul 2020 10:11:09 +0100

firmware-nonfree (1:20190114-1+rpt6) buster; urgency=medium

  [ Phil Elwell ]
  * Updated coexistence param for post-176 firmware

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 17 Apr 2020 16:15:53 +0100

firmware-nonfree (1:20190114-1+rpt5) buster; urgency=medium

  * Custom Raspberry Pi firmware builds for CYW43438 and CYW43455 including
    the kr00k patches.
    - Update brcmfmac43455-sdio.bin to 7.45.202
    - Update brcmfmac43430-sdio.bin to 7.45.98.94

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 09 Mar 2020 21:06:31 +0000

firmware-nonfree (1:20190114-1+rpt4) buster; urgency=medium

  * Revert +rpt3

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 30 Oct 2019 11:42:06 +0000

firmware-nonfree (1:20190114-1+rpt3) buster; urgency=medium

  * Add brcmfmac43430-sdio.clm_blob
  * Update brcmfmac43455-sdio.bin to 7.45.189
  * Update brcmfmac43455-sdio.clm_blob
  * Update brcmfmac43430-sdio.bin to 7.45.98.83

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 09 Oct 2019 17:06:30 +0100

firmware-nonfree (1:20190114-1+rpt2) buster; urgency=medium

  * Update brcmfmac43455-sdio.txt
    - Update boardflags3

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 18 Apr 2019 14:35:34 +0100

firmware-nonfree (1:20190114-1+rpt1) buster; urgency=medium

  * Add version numbers
  * Add brcmfmac43430-sdio.txt and brcmfmac43455-sdio.txt
  * Add brcmfmac43455-sdio.bin and brcmfmac43455-sdio.clm_blob
  * Bump epoch to prevent being replaced by raspbian.org
  * Strip epoch from VERSION_UPSTREAM
  * Set KERNELVERSION to 4.18.0-3

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 25 Jan 2019 12:19:48 +0000

firmware-nonfree (20190114-1) unstable; urgency=medium

  [ Romain Perier ]
  * New upstream version:
    - Upstream version is commit bc656509a3cfb60fcdfc905d7e23c18873e4e7b9
      dated 2019-01-14
    - cavium: Cavium CNN55XX crypto firmware update version v10
    - intel-sound: Intel Cannonlake SST DSP firmware update version
      10.23.00.1858
    - misc-nonfree:
      + Chelsio T4, T5, and T6 firmware version 1.22.9.0
      + NVIDIA GP102 firmware update
      + NVIDIA GP104 firmware update
      + NVIDIA GP106 firmware update
      + NVIDIA GP107 firmware update
      + Intel OPA Gen1 DC firmware update version 1.27.0
    - brcm80211: BCM43362 firmware update
    - atheros:
      + firmware update for QCA61x4 version 3.2 USB BT (CVE-2018-5383)
      + Qualcomm Atheros QCA9984 rev 1.0 board configuration update
      + Qualcomm Atheros QCA9984 rev 1.0 firmware update version
        10.4-3.6.0.1-00003
      + Qualcomm Atheros QCA988X firmware update version 10.2.4-1.0-00041
      + Qualcomm Atheros QCA9888 rev 2.0 board configuration update
      + Qualcomm Atheros QCA9888 rev 2.0 firmware update version 10.4-3.6-00140
      + Qualcomm Atheros QCA9887 rev 1.0 firmware update version
        10.2.4-1.0-00041
      + Qualcomm Atheros QCA4019 rev 1.0 board configuration update
      + Qualcomm Atheros QCA4019 rev 1.0 firmware update version 10.4-3.6-00140
    - netronome:
      + Agilio CX 2x10GbE,2x40GbE,2x25GbE flower firmware update version
        AOTC-2.10.A.13
      + Agilio SmartNIC firmware update version 2.1.16
    - iwlwifi:
      + 9460/9650 (var 16 rev 1) Bluetooth firmware version 20.100.0.3
      + 9160/9260 (var 16 rev 1) Bluetooth firmware version 20.100.0.3
      + 8260/8265 Bluetooth firmware version 20.100.0.3
      + Add Intel Wireless 9000 firmware version 41.fc1a7aea.0
      + Add Intel Wireless 9260 firmware version 41.fc1a7aea.0
      + Intel Wireless 9000/9260 firmware update version 38.755cfdd8.0
      + Intel Wireless 3160,7260,7265 firmware update version 17.bfb58538.0
      + Intel Wireless 8000C,8265 firmware update version 36.9f0a2d68.0
    - amd-graphics:
      + "Polaris10", "Polaris11", "Raven" firmware updates to sync with
        18.50 release
      + "Fiji", "Tonga", "Vega10", "Carrizo" firmware updates to sync with
        18.40 release
    - libertas: Marvell Avastar 88W8801-USB firmware version 14.68.36.p138
  * amd-graphics:
    - Add AMD Vega M firmware (Closes: #907598)
    - Add Radeon HD 7800 series firmware to /lib/firmware/amdgpu
      (Closes: #908632)
  * Update to linux-support 4.19.0-1

  [ Yves-Alexis Perez ]
  * firmware-linux: fix typo in short description
  * firmware-atheros: remove unused lintian override
  * firmware-misc-nonfree: remove unused lintian override

  [ David Lechner ]

